Name:           kscreenlocker5
Version:        5.27.11
Release:        %autorelease
Summary:        Library and components for secure lock screen architecture
License:        BSD-3-Clause AND CC0-1.0 AND GPL-2.0-only AND GPL-2.0-or-later AND GPL-3.0-only AND LGPL-2.1-only AND LGPL-3.0-only AND (GPL-2.0-only OR GPL-3.0-only) AND (LGPL-2.1-only OR LGPL-3.0-only)
URL:            https://invent.kde.org/plasma/kscreenlocker
Source0:        %{url}/-/archive/v%{version}/kscreenlocker-v%{version}.tar.bz2

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules

BuildRequires:  layer-shell-qt5-devel
BuildRequires:  perl-generators
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IdleTime)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5Wayland)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Screen)
BuildRequires:  cmake(PlasmaQuick)

BuildRequires:  libX11-devel
BuildRequires:  xcb-util-keysyms-devel
BuildRequires:  wayland-devel
BuildRequires:  pkgconfig(xi)

BuildRequires:  libXcursor-devel
BuildRequires:  pam-devel

Conflicts:      kscreenlocker

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Conflicts:      kscreenlocker-devel

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1 -n kscreenlocker-v%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang kscreenlocker --with-qt --all-name

%files -f kscreenlocker.lang
%license LICENSES/*.txt
%doc README.pam
%{_libdir}/libKScreenLocker.so.5*
%{_libexecdir}/kscreenlocker_greet
%{_datadir}/knotifications5/*.notifyrc
%dir %{_datadir}/ksmserver/
%{_datadir}/ksmserver/screenlocker/
%{_datadir}/applications/kcm_screenlocker.desktop
%{_datadir}/qlogging-categories5/kscreenlocker.categories
%{_datadir}/kconf_update/
%{_datadir}/kpackage/kcms/kcm_screenlocker/
%{_qt5_plugindir}/plasma/kcms/systemsettings/kcm_screenlocker.so

%files devel
%{_libdir}/libKScreenLocker.so
%{_libdir}/cmake/ScreenSaverDBusInterface/
%{_libdir}/cmake/KScreenLocker/
%{_includedir}/KScreenLocker/
%{_datadir}/dbus-1/interfaces/*.xml

%changelog
%autochangelog
